<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Host Tags">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="A host tag is an identifier that lets you easily search for hosts, organize assets, create work queues, and track findings for automatic inclusion in reports. " /><title>Host Tags</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#08-host-tags/about-host-tags.html">Open topic with navigation</a>
        </p>
        <h1>Host Tags</h1>
        <p>A host tag is a designation that you assign to a host to track, group, and report on hosts according to how they impact an organization.Tags are useful when you want filter hosts based on some commonality, such as the type of data they contain. For example, you may want to tag all accounting servers with a label like, <code class="usertype">accounting</code> to indicate that they contain sensitive data. You can also  create tags, such as <code class="usertype">High</code>, <code class="usertype">Medium</code>, and <code class="usertype">Low</code>, to  isolate hosts based on their criticality levels. </p>
        <p>There are a couple of ways to create a tag. With the first method, you create the host tag, search through existing hosts, and manually apply the host tags. The second method, mentioned earlier, is automatic tagging. You can only use automatic tagging for new data imports or discovery scans. There is an option that you can select that enables <span class="VariablesProductName">Metasploit Pro</span> to automatically tag hosts as it imports or discovers them. There is no limit on the number of host tags that you can apply to a host. Therefore, you can apply as many host tags as you need to create the types of search queries that you need.</p>
        <p>After you tag the hosts, you can search for a specific host tag, which will return a list of hosts that match the search criteria. In this example, if you search for <code class="usertype">nexpose_host</code>, you will see a list of the Nexpose hosts that you imported. This is useful if you know that you want to run an exploit against a certain type of host and do not want to spend the time sorting through hosts and manually selecting them from the Hosts page.</p>
        <h2>Creating a Host Tag</h2>
        <p>A host tag consists of a word or phrase that contains no spaces, a description, and three attributes.</p>
        <ul>
            <li value="1"><b>Host Tag ID</b> - The host tag ID, or simply host tag, consists of a single word or phrase with no spaces. Use a special character, like the underscore, to separate words. For example, you cannot use 'nexpose hosts', but you can use 'nexpose_hosts'.</li>
            <li value="2"><b>Description</b> - The description describes the purpose of the host tag. For example, if you use host tags to identify different subnets, you can add a description to help you understand the purpose of the subnet. An example of a description is: Tags any hosts that are part of the IT team’s subnet.</li>
            <li value="3"><b>Host Tag Attributes</b> - You can assign attributes to indicate whether or not the tagged hosts should display in the generated report. Use the following attributes to determine how reports handle hosts that are tagged with the host tag: </li>
            <li class="numberedList2" value="4"><b>Include in report details</b> - Provides information about the host in the Detailed Findings section of the report.</li>
            <li class="numberedList2" value="5"><b>Include in report summary</b> - Provides information about the host in the Executive Summary section of the report.</li>
            <li class="numberedList2" value="6"><b>Critical finding</b> - Marks the host information as critical.</li>
        </ul>
        <p class="leadin">To create a host tag:</p>
        <ol start="1">
            <li value="1">Click the <b class="UISelection">Analysis </b>tab.</li>
        </ol>
        <p>
            <img src="../Resources/Images/PROJECT_AnalysisTab_638x119.png" title="Analysis Tab" alt="Analysis Tab" style="width: 638;height: 119;" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">Click the host IP address.</li>
        </ol>
        <p>
            <img src="../Resources/Images/TAGS_ClickHostName_634x102.png" title="Host Name" alt="Host Name" style="width: 634;height: 102;" />
        </p>
        <ol data-mc-continue="true">
            <li value="3">Click the <b class="UISelection">Tags </b>tab.</li>
        </ol>
        <p>
            <img src="../Resources/Images/TAGS_TagsTab_587x155.png" title="Tags Tab" alt="Tags Tab" style="width: 587;height: 155;" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">In the <b class="UISelection">Name </b>field, enter a name for the tag.</li>
        </ol>
        <p>
            <img src="../Resources/Images/TAGS_TagName_593x158.png" title="Host Tag Name" alt="Host Tag Name" style="width: 593;height: 158;" />
        </p>
        <ol data-mc-continue="true">
            <li value="5">In the <b class="UISelection">Description </b>field, enter a description for the tag.</li>
        </ol>
        <p>
            <img src="../Resources/Images/TAGS_Description_599x160.png" title="Host Tag Description" alt="Host Tag Description" style="width: 599;height: 160;" />
        </p>
        <ol data-mc-continue="true">
            <li value="6">Enable any of the following options: Include in report summary, Include in report details, and Critical Finding.</li>
        </ol>
        <p>
            <img src="../Resources/Images/TAGS_Options_608x162.png" title="Host Tag Options" alt="Host Tag Options" style="width: 608;height: 162;" />
        </p>
        <ol data-mc-continue="true">
            <li value="7">Click the <b class="UISelection">Save </b>button. </li>
        </ol>
        <h2>Automatically Tagging Discovered Hosts</h2>
        <ol data-mc-continue="true">
            <li value="8">From within a project, click the <b class="UISelection">Analysis </b>tab. </li>
            <li value="9">When the <b class="UISelection">Host </b>window appears, click the <b class="UISelection">Scan </b>button.</li>
        </ol>
        <p>
            <img src="../Resources/Images/SCANNING_ScanButton_418x94.png" title="Scan button" alt="Scan button" style="width: 418;height: 94;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="10">When the Discovery Scan window appears, click the <b class="UISelection">Advanced Options</b> button.</li>
            <li value="11">Select the tags that you want to enable for automatic tagging.</li>
        </ol>
        <p>
            <img src="../Resources/Images/SCANNING_AutoTagHosts_423x67.png" title="Host tags for a Discovery Scan" alt="Host tags for a Discovery Scan" style="width: 423;height: 67;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="12">Launch the scan.</li>
        </ol>
        <h2>Automatically Tagging Discovered Hosts</h2>
        <ol start="1">
            <li value="1">From within a project, click the <b class="UISelection">Analysis </b>tab. </li>
            <li value="2">When the <b class="UISelection">Host </b>window appears, click the <b class="UISelection">Scan </b>button.</li>
        </ol>
        <p>
            <img src="../Resources/Images/SCANNING_ScanButton_406x91.png" title="Scan button" alt="Scan button" style="width: 406;height: 91;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="3">When the Discovery Scan window appears, click the <b class="UISelection">Advanced Options</b> button.</li>
            <li value="4">Select the tags that you want to enable for automatic tagging.</li>
        </ol>
        <p>
            <img src="../Resources/Images/SCANNING_AutoTagHosts_401x64.png" title="Host tags for a Discovery Scan" alt="Host tags for a Discovery Scan" style="width: 401;height: 64;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="5">Launch the scan.<br /></li>
        </ol>
        <h2>Automatically Tagging Imported Hosts</h2>
        <ol start="1">
            <li value="1">From within a project, click the <b class="UISelection">Analysis </b>tab. </li>
            <li value="2">When the Host window appears, click the <b class="UISelection">Import</b>button.</li>
        </ol>
        <p>
            <img src="../Resources/Images/SCANNING_ImportButton_424x34.png" title="Import button" alt="Import button" style="width: 424;height: 34;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="3">When the Import window appears, click the <b class="UISelection">Browse </b>to find and select the XML or ZIP file that you want to import into <span class="VariablesProductName">Metasploit Pro</span>. </li>
            <li value="4">Under the Automatic Tagging area, find the tags that you want to enable for automatic tagging.</li>
        </ol>
        <p>
            <img src="../Resources/Images/SCANNING_AutoTagHosts_424x68.png" title="Host tags for a Discovery Scan" alt="Host tags for a Discovery Scan" style="width: 424;height: 68;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="5">Click the <b class="UISelection">Import Data</b> button. </li>
        </ol>
        <h2>Updating a Host Tag</h2>
        <ol start="1">
            <li value="1">From within a project, click the <b class="UISelection">Analysis </b>tab. </li>
        </ol>
        <p>
            <img src="../Resources/Images/PROJECT_AnalysisTab_421x78.png" title="Analysis Tab" alt="Analysis Tab" style="width: 421;height: 78;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="2">When the Host window appears, click on the host IP address to open the host details window.</li>
        </ol>
        <p>
            <img src="../Resources/Images/TAGS_ClickHostName_396x63.png" title="Host Name" alt="Host Name" style="width: 396;height: 63;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="3">Click the <b class="UISelection">Tags </b>tab.</li>
        </ol>
        <p>
            <img src="../Resources/Images/TAGS_TagsTab_369x97.png" title="Host Tag Tab" alt="Host Tag Tab" style="width: 369;height: 97;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="4">Under the Update Tags area, locate the tag you want to edit.</li>
            <li value="5">Edit the description and any of the tag attributes.</li>
        </ol>
        <p>
            <img src="../Resources/Images/TAGS_UpdateTag_385x72.png" title="Update Host Tag Information" alt="Update Host Tag Information" style="width: 385;height: 72;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="6">Save the tag.</li>
        </ol>
        <p>.</p>
    </body>
</html>